.cc-window, body .cc-window.cc-theme-edgeless {
    font-size: 16px;
    line-height: 1.5em;
    position: fixed;
    z-index: 9999;
    width: 100%;
    color: #fff !important;
    background-color: rgba(0, 0, 0, .6) !important;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    font-family: Arial;
    display: flex;
}

.cc-window.cc-bottom-left {
    max-width: 100% !important;
    height: 100%;
    align-items: flex-start;
    justify-content: center;
    transition: background-color 250ms linear;
    display: flex;
    flex-direction: column;
}

.cc-window .cc-body {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 0 1rem;
}

.cc-window .cc-message {
    padding: 3rem 2.5% 1rem;
}

.cc-window .dp--cookie-check {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 5px;
    margin-top: 0;
    border: none;
    padding-top: 2rem;
    padding-bottom: 1.5rem;
    margin-left: auto;
    margin-right: auto;
}

.cc-window .dp--cookie-check label {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin: 0;
    padding: 5px;
}

.cc-window .dp--cookie-check label:first-child {
    padding-left: 10px;
}

.cc-window .dp--cookie-check label:last-child {
    padding-right: 10px;
}

.cc-window *,
.cc-window ::after,
.cc-window ::before {
    box-sizing: border-box;
}

.cc-compliance {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
    min-width: 300px;
    max-width: 100% !important;
}

.cc-bottom .cc-compliance {
    padding-top: .5rem;
    padding-right: 1.5rem;
    padding-bottom: .5rem;
}

.cc-compliance .cc-btn {
    display: block;
    width: 50%;
    cursor: pointer;
    text-align: center;
    white-space: nowrap;
    font-size: 16px;
    font-weight: 400;
    transition: background-color .3s;
    border: 2px solid transparent;
    margin: 0 0 1rem !important;
    padding: .6em .8em;
}

.cc-bottom .cc-compliance .cc-btn+.cc-btn {
    margin-top: .25rem;
}

.cc-message {
    text-align: center !important;
}

#cc-wrapping {
    display: block;
    max-width: 38vw;
    z-index: 1000000;
    color: #484848;
    background-color: #fff;
    margin: 0 auto;
}

.cc-compliance .cc-btn.cc-deny {
    background-color: #eaeaea !important;
    color: #484848;
    border-right: 4px solid #fff;
}

.cc-btn.cc-allow-all {
    background-color: #484848;
    color: #fff;
}

.cc-compliance .cc-btn.cc-allow-all {
    background-color: #484848;
    margin-right: 25%;
    margin-left: 25%;
}

.cc-compliance .cc-btn.cc-allow-all:hover {
    background-color: #2d2d2d;
}

.cc-compliance .cc-btn.cc-allow,
.cc-highlight .cc-btn.cc-allow {
    background-color: #eaeaea !important;
    border-left: 4px solid #fff;
    color: #484848;
    order: 2;
}

.cc-highlight .cc-btn.cc-allow:focus,
.cc-highlight .cc-btn.cc-allow:hover {
    background-color: #d4d4d4 !important;
    text-decoration: none;
}

.dp--check-box {
    margin-right: 0 !important;
}

.dp--cookie-check label {
    font-weight: 400;
    padding: 0 !important;
}

.dp--cookie-check label:last-child {
    display: inline-block !important;
}

.cc-window input[type=checkbox],
.cc-window input[type=radio] {
    margin-right: .1rem !important;
}

.cc-bottom .cc-compliance .cc-btn,
.cc-compliance .cc-w-100 {
    width: 100%;
}

.cc-compliance .cc-btn.cc-deny:hover,
.cc-compliance .cc-btn.cc-allow:hover,
.cc-highlight .cc-btn.cc-allow:hover {
    background-color: #d4d4d4 !important;
}

@media (min-width:768px) {
    .cc-window.cc-bottom .cc-body {
        align-items: center;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
    }
}

@media (max-width:991.98px) {
    #cc-wrapping {
        max-width: calc(100vw - 6px);
    }
}

@media (min-width:1200px) {
    .cc-window .dp--cookie-check {
        max-width: 70%;
    }
}

@media screen and (max-width:400px) {
    .cc-window .dp--cookie-check {
        display: block !important;
    }
}

@media (min-width:992px) {
    .cc-window input[type=checkbox],
    .cc-window input[type=radio] {
        margin-right: .7rem !important;
    }
}